#{extends 'border.html'/}
<div class="container">
#{form @penyedia.KontrakCtr.submitInputKontrak(), method:'POST', class:'form-horizontal inputKontrak', name:'frmInputKontrak'}
    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="#">&{'penyedia.label'}</a></li>
                <li><a href="#">&{'kontrak.label'}</a></li>
                <li class="active">&{'input_data_kontrak.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <!-- Toolbar -->
            <div class="toolbar">
                #{backButton action:@prakatalog.PenawaranCtr.index()/}
                <button type="submit" class="btn btn-primary"><i class="fa fa-save"></i> &{'simpan.label'}</button>&nbsp;
                <a href="@{penyedia.KontrakCtr.listDokumenUpload(pid,type,'kontrak katalog')}" class="btn btn-sm btn-success"><i class="fa fa-bars"></i> &{'daftar_cetak.label'}</a>
            </div>
            <!-- End Toolbar -->
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            #{alert /}
            <div class="panel panel-default">
                <div class="panel-body">
                    <input type="hidden" name="type" value="${type}"/>
                    <input type="hidden" name="pid" value="${pid}"/>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">&{'komoditas.label'}</label>
                        <div class="col-sm-6">
                            #{if type.equals("penyedia")}
                                <select name="dokumenKontrak.komoditas" class="form-control">
                                    <option>&{'pilih.label'}</option>
                                    #{list komoditasList, as:'komoditas'}
                                        <option value="${komoditas.id}">${komoditas.nama_komoditas}</option>
                                    #{/list}
                                </select>
                            #{/if}
                            #{else}
                                <input class="form-control" readonly value="${komoditas.nama_komoditas}"  />
                            #{/else}

                        </div>
                    </div>
                    <div class="panel panel-default">
                        <div class="panel-heading"><h5>&{'pihak_kedua.label'}</h5></div>
                        <div class="panel-body">
                            <div class="form-group required">
                                <label class="col-sm-2 control-label">&{'nama.label'}</label>
                                <div class="col-sm-6">
                                    <input type="text" name="dokumenKontrak.namaPihakKedua" value="${dokumenKontrak.namaPihakKedua}" class="form-control" required />
                                </div>
                            </div>
                            <div class="form-group required">
                                <label class="col-sm-2 control-label">&{'jabatan.label'}</label>
                                <div class="col-sm-6">
                                    <input type="text" name="dokumenKontrak.jabatanPihakKedua" value="${dokumenKontrak.jabatanPihakKedua}" class="form-control" required />
                                </div>
                            </div>
                            <div class="form-group required">
                                <label class="col-sm-2 control-label">&{'nama_badan_usaha.label'}</label>
                                <div class="col-sm-6">
                                    <input type="text" name="dokumenKontrak.namaBadanUsaha" value="${dokumenKontrak.namaBadanUsaha}" class="form-control" required />
                                </div>
                            </div>
                            <div class="form-group required">
                                <label class="col-sm-2 control-label">&{'alamat_badan_usaha.label'}</label>
                                <div class="col-sm-6">
                                    <input type="text" name="dokumenKontrak.alamatBadanUsaha" value="${dokumenKontrak.alamatBadanUsaha}" class="form-control" required />
                                </div>
                            </div>
                            <div class="form-group required">
                                <label class="col-sm-2 control-label">&{'nomor_akta.label'}</label>
                                <div class="col-sm-6">
                                    <input type="text" name="dokumenKontrak.nomorAkta" value="${dokumenKontrak.nomorAkta}" class="form-control" required />
                                </div>
                            </div>
                            <div class="form-group required">
                                <label class="col-sm-2 control-label">&{'tanggal_akta.label'}</label>
                                <div class="col-sm-6">
                                    <input type="text" name="dokumenKontrak.tanggalAkta" value="${dokumenKontrak.tanggalAkta}" class="form-control" id="tanggalAkta" required />
                                </div>
                            </div>
                            <div class="form-group required">
                                <label class="col-sm-2 control-label">&{'nomor_akta.label'} &{'perubahan.label'}</label>
                                <div class="col-sm-6">
                                    <input type="text" name="dokumenKontrak.nomorAktaPerubahan" class="form-control" value="${dokumenKontrak.nomorAktaPerubahan}" required />
                                </div>
                            </div>
                            <div class="form-group required">
                                <label class="col-sm-2 control-label">&{'tanggal_akta.label'} &{'perubahan.label'}</label>
                                <div class="col-sm-6">
                                    <input type="text" name="dokumenKontrak.tanggalAktaPerubahan" value="${dokumenKontrak.tanggalAktaPerubahan}" id="tanggalAktaPerubahan" class="form-control" required />
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="panel panel-default">
                        <div class="panel-heading"><h5>&{'korespondensi.label'}</h5></div>
                        <div class="panel-body">
                            <div class="panel panel-default">
                                <div class="panel-heading"><h5>&{'pihak_kedua.label'}</h5></div>
                                <div class="panel-body">
                                    <div class="form-group required">
                                        <label class="col-sm-2 control-label">&{'nama.label'}</label>
                                        <div class="col-sm-6">
                                            <input type="text" name="dokumenKontrak.namaPenyedia" value="${dokumenKontrak.namaPenyedia}"  class="form-control" required />
                                        </div>
                                    </div>
                                    <div class="form-group required">
                                        <label class="col-sm-2 control-label">&{'alamat.label'}</label>
                                        <div class="col-sm-6">
                                            <input type="text" name="dokumenKontrak.alamatPenyedia" value="${dokumenKontrak.alamatPenyedia}" class="form-control" required />
                                        </div>
                                    </div>
                                    <div class="form-group required">
                                        <label class="col-sm-2 control-label">&{'nomor_telp.label'}</label>
                                        <div class="col-sm-6">
                                            <input type="text" name="dokumenKontrak.teleponPenyedia" value="${dokumenKontrak.teleponPenyedia}" class="form-control" required />
                                        </div>
                                    </div>
                                    <div class="form-group required">
                                        <label class="col-sm-2 control-label">&{'situs_web.label'}</label>
                                        <div class="col-sm-6">
                                            <input type="text" name="dokumenKontrak.websitePenyedia" value="${dokumenKontrak.websitePenyedia}" class="form-control" required />
                                        </div>
                                    </div>
                                    <div class="form-group required">
                                        <label class="col-sm-2 control-label">&{'nomor_fax.label'}</label>
                                        <div class="col-sm-6">
                                            <input type="text" name="dokumenKontrak.faksPenyedia" value="${dokumenKontrak.faksPenyedia}" class="form-control" required />
                                        </div>
                                    </div>
                                    <div class="form-group required">
                                        <label class="col-sm-2 control-label">&{'email.label'}</label>
                                        <div class="col-sm-6">
                                            <input type="text" name="dokumenKontrak.emailPenyedia" value="${dokumenKontrak.emailPenyedia}" class="form-control" required />
                                        </div>
                                    </div>
                                    <div class="form-group required">
                                        <label class="col-sm-2 control-label">&{'wakil_sah.label'}</label>
                                        <div class="col-sm-6">
                                            <input type="text" name="dokumenKontrak.wakilSahPenyedia" value="${dokumenKontrak.wakilSahPenyedia}" class="form-control" required />
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
#{/form}
</div>

#{set 'moreScripts'}
<script type="text/javascript">
    var frmInputKontrak = $("form[name=frmInputKontrak]");
    $(document).ready(function () {
        $("input[name='dokumenKontrak.tanggalAktaPerubahan']").datetimepicker({
            locale:'id',
            format:'DD-MM-YYYY'
        });
        $("input[name='dokumenKontrak.tanggalAkta']").datetimepicker({
            locale:'id',
            format:'DD-MM-YYYY'
        });
    })
</script>
#{/set}


